Error running phpipam in xampp

Problems with the Linux version of XAMPP, questions, comments, and anything related.

Error running phpipam in xampp

Postby liang » 16. October 2014 02:42

Hi,

I have install XAMPP 1.8.3 and try to use it with phpipam.

I encountered this error,

The following required PHP extensions are missing:
gmp
Please recompile PHP to include missing extensions and restart Apache.

Is it possible to include this gmp extension without recompile the xampp.

Thanks for any help
Liang
Singapore
liang
 
Posts: 2
Joined: 16. October 2014 02:35
Operating System: Redhat 5.10

Re: Error running phpipam in xampp

Postby liang » 17. October 2014 03:23

Please ignore the post. Realize quite a few of modules needed for phpipam is not there.
Will have to recompile the php.

From the install.txt
- PHP version 5.2+ with following modules (on Windows php 5.3 is required!)
+ + mysqli : Adds support for the improved mySQL libraries
+ + session : Adds persistent session support
+ + gmp : Adds support for dev-libs/gmp (GNU MP library) -> to calculate IPv6 networks
+ + ldap : Adds LDAP support (Lightweight Directory Access Protocol)
+ + json : Adds supports for JSON data-interexchange format
+ + SimpleXML : Adds SimpleXML support for parsin XML files
- PHP PEAR support (dev-php/pear)
liang
 
Posts: 2
Joined: 16. October 2014 02:35
Operating System: Redhat 5.10


Return to XAMPP for Linux

Who is online

Users browsing this forum: No registered users and 4 guests